Opened 12 years ago

Closed 10 years ago

Last modified 4 years ago

#361 closed Bug (fixed)

Proposal for diaptr

Reported by: marti Owned by: nemo
Priority: low Milestone:
Component: OCE Version: release-3.2
Severity: Keywords: DIA
Cc: charris

Description

Please find enclose a proposal for diaptr.F90 :

  • Correct a bug when ln_mskland=.true. ;
  • Separate frequency of computation to frequency of writing (add n_ptr_wri to namelist) ;
  • Add a namelist flag to calculate only transport, or to add zonal means and meridional stream functions (ln_diaznl) ;
  • Add in ouput files zonal surfaces on which each zonal mean is computed, to allow mean computation for larger depth slices ;
  • Correctly masks transports and meridional stream function south of 30S in subasins for ORCA ;
  • Correct latitude definition (only for ORCA2 and ORCA05) ;
  • Compute zonal means at T points, not V points ;
  • Add computation for all subasins ;
  • Add EIV part to transports and meridional stream functions when available (CMIP conformance).

Tested in IPSL coupled model in ORCA2 configuration. All flags tested.

In the future :

  • separate computation frequency for transport and zonal mean ?
  • do we need overturning and gyre separation ?

Olivier

Commit History (9)

ChangesetAuthorTimeChangeLog
1880aclsce2010-05-21T09:39:46+02:00

Put in CMIP5_IPSL branch bug fixes for diaptr code, see ticket:#361

1877charris2010-05-19T15:56:34+02:00

Bug fixes for diaptr code, see ticket:#361

1426rblod2009-05-07T16:06:22+02:00

dev_004_VVL:sync: synchro with trunk (r1413), see ticket #361 and #421

1413flavoni2009-04-24T12:03:11+02:00

correct bug for Meridionnal Stream function in diaptr.F90 when using mpi, see ticket #421 and #361

1398rblod2009-04-09T19:43:00+02:00

dev_004_VVL:sync: synchro with trunk, see ticket #361

1397rblod2009-04-09T19:40:41+02:00

Correct diaptr with correct suffix file in mono case, see ticket #361

1346rblod2009-03-27T17:25:46+01:00

Correct a mistake in previous commit for mono processor case, see ticket #361

1345rblod2009-03-27T15:49:55+01:00

Update diaptr for mpp case, see ticket #361

1342ctlod2009-03-24T11:19:33+01:00

update namelist in reference to tickets: #322, #339 & #361

Attachments (4)

diaptr.F90 (40.2 KB) - added by marti 12 years ago.
diaptr.F90
namelist_ORCA2 (47.6 KB) - added by marti 12 years ago.
Example for namelist. Only &namptr is changes
diaptr.2.F90 (47.9 KB) - added by charris 11 years ago.
Fixed version of diaptr
traadv_tvd.F90 (22.5 KB) - added by charris 11 years ago.
Fixed version of tvd advection code for poleward transport diagnostics

Download all attachments as: .zip

Change History (14)

Changed 12 years ago by marti

diaptr.F90

Changed 12 years ago by marti

Example for namelist. Only &namptr is changes

comment:1 Changed 12 years ago by smasson

commit a first version given by O. Marti, see changetset:1340
WARNING: Not working in MPP…

comment:2 Changed 12 years ago by rblod

commit a version from O. Marti working in mpp when jpji*jpnj=jpnij, the number of the writing processor should be reviewed

comment:3 Changed 12 years ago by rblod

As it is, flio_dom_set is called even in mono processor case, and there is a mix between nidom and nidom_ptr:
Fix :

  • add nidom_ptr
  • call flio_dom_set in mpp case only, and initialise nidom_ptr by hand otherwise

comment:4 Changed 11 years ago by charris

The order of calculations has changed in the new version of the routine such that the v_msf_glo used to calculate the overturning heat/salt transport is now the stream-function rather than the zonally averaged meridional velocity.

comment:5 Changed 11 years ago by charris

  • Cc charris added

comment:6 Changed 11 years ago by ctlod

  • Resolution set to fixed
  • Status changed from new to closed

comment:7 Changed 11 years ago by charris

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from trunk to nemo_v3_2_beta

I still think there is a problem here (see comment above) because in [1340] the order of calculations was changed relating to pht_ove, v_msf_glo etc.

Changed 11 years ago by charris

Fixed version of diaptr

comment:8 Changed 11 years ago by charris

  • Type changed from Enhancement to Bug

I've attached a new version of diaptr which fixes the problem I described above by moving the position of the stream-function calculations. We can discuss at the next teleconference whether this can go straight onto the trunk.

I'm also attaching a fixed version of traadv_tvd.F90 required for the ptr diagnostics to work properly.

Changed 11 years ago by charris

Fixed version of tvd advection code for poleward transport diagnostics

comment:9 Changed 10 years ago by charris

  • Resolution set to fixed
  • Status changed from reopened to closed

Code changes agreed with Olivier Marti and committed to trunk in [1877].

comment:10 Changed 4 years ago by nicolasmartin

  • Keywords DIA added; diaptr removed
Note: See TracTickets for help on using tickets.